numpy causa error de segmentación

dasaqui

Usuario Novato
2 Nov 2021
4
0
1
33
Ubuntu 21.04
kodi 19.0
Alfa 3.5.3
log: Dropbox - kodi_crashlog-20211102_114159.log - Simplify your life
numpy 1.21.4

Tras mucho explorar logré aislar el fallo de mi kodi a la librería numpy, el fallo consiste en el cierre de kodi con error SIGSEGV tras intentar iniciar la reproducción de algún video desde mi videoteca por segunda ocasión, la primera corre sin problemas, la segunda ocasiona el cierre.

Después de muchas pruebas encontré el error en la librería lib/js2py la cual importa desde distintos lugares a la librería numpy.
Como prueba para aislar el problema cambié todos estos llamados a numpy por numpyFalso, obligando al código a suponer que numpy no está instalado y en consecuencia evitando las caídas de kodi.

¿alguien mas puede replicar el error en linux instalando numpy mediante pip3?
 
Primero que nada, ya estamos en la 3.5.4, solo se le da soporte a la última versión.
Hice una comprobación rápida en Debian Bookworm (Debian 11-testing) con Kodi 19.3 y posterior a instalar numpy, no logro reproducir tu error, ni dentro del canal, ni en el servidor, ni en la biblioteca de Kodi.

Creo que sería mejor si utilizaras la versión oficial de Kodi desde su PPA en lugar de la versión que viene con Ubuntu por defecto, ya que la versión oficial está más probada y tiene soporte oficial del equipo de Kodi en comparación con la versión que incorpora Ubuntu.

Puede que tu Python esté corrupto, o que tengas Python 2 y 3 y se estén utilizando alternadamente en js2py, pero sin mayor información de tu sistema no podemos ayudarte. Es esencial que al reportar errores en Linux se indique la versión de Python que se utiliza, y cabe considerar que no damos soporte prioritario a instalaciones de múltiples versiones mayores de Python en un mismo sistema Linux por los problemas que este tipo de instalaciones traen cuando Kodi intenta utilizar uno de los múltiples binarios instalados.

¿Podrías indicar la salida de este comando en tu sistema para saber si este es el caso?
ls -ls /usr/bin/python*